IDE 1.5.7 beta and AVRISP MKII problems

I don't know if this is the right section of the forum to post this but I'll give it a try anyway.

I have just installed the IDE 1.5.7 beta and it seems that AVRDUDE has been upgraded to 6.1 which I have tried before and never got to work with my AVRISP MKII. I know that the author of AVRDUDE has previously admitted that there were problems with certain USB programmers.

The problem is that AVRDUDE does not like the responses that my Olimex AVRISP MKII is giving and to get around the problem I have had to replace the AVRDUDE 6.1 in the IDE with the previous 5.11 version which works fine. On the other hand, there is no problem using ArduinoISP with the new AVRDUDE. That's about as far as I can test it.

Has anyone else found this problem and if so, is there a fix?